> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/register-account.md).

# Register Account

This service can be used by user/partners to register fund transfer accounts. Use this relative URL for generating a signature:

* Relative URL : **/account/api/register**

And also need to create a signature and use the **request header + request body**.

{% tabs %}
{% tab title="Request body" %}

<table><thead><tr><th width="262">Parameter</th><th width="150">Data Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric (20)</td><td>Mandatory</td><td>VA partner</td></tr><tr><td>beneficiary_account</td><td>Numeric (128)</td><td>Mandatory</td><td>Destination account number</td></tr><tr><td>beneficiary_account_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Account name of destination account number</td></tr><tr><td>beneficiary_va_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Name for account</td></tr><tr><td>beneficiary_bank_code</td><td>Numeric (10)</td><td>Mandatory </td><td>Bank code</td></tr><tr><td>beneficiary_bank_branch</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Name of branch bank</td></tr><tr><td>beneficiary_region_code</td><td>Numeric (4)</td><td>Mandatory</td><td>Code of region bank</td></tr><tr><td>beneficiary_country_code</td><td>Alphanumeric (2)</td><td>Mandatory</td><td>Code of country</td></tr><tr><td>beneficiary_purpose_code</td><td>Numeric (1)</td><td>Optional</td><td>Code of purpose of using the system account</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample request" %}

```json
{  
  "virtual_account" : "9920000082",
  "beneficiary_account" : "1020006137993",
  "beneficiary_account_name" : "Faspay Collection 1",
  "beneficiary_va_name" : "Faspay Collection 1",
  "beneficiary_bank_code" : "008",
  "beneficiary_bank_branch" : "Mandiri KCP",
  "beneficiary_region_code" : "0102",
  "beneficiary_country_code" : "ID",
  "beneficiary_purpose_code" : "1"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Response" %}

<table><thead><tr><th width="266">Parameter</th><th width="150">Data Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric (20)</td><td>Mandatory</td><td>Virtual account of partner</td></tr><tr><td>Beneficiary_account</td><td>Numeric (20)</td><td>Mandatory</td><td>Beneficiary account of new VA under partner</td></tr><tr><td>beneficiary_account_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Account bank name</td></tr><tr><td>beneficiary_va_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>VA name</td></tr><tr><td>beneficiary_bank_code</td><td>Numeric (10)</td><td>Mandatory</td><td>Bank code</td></tr><tr><td>beneficiary_bank_name</td><td>Alphanumeric</td><td>Mandatory</td><td>Bank name</td></tr><tr><td>beneficiary_bank_branch</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Branch of bank</td></tr><tr><td>beneficiary_region_code</td><td>Numeric (4)</td><td>Mandatory</td><td>Region code</td></tr><tr><td>beneficiary_country_code</td><td>Alphanumeric (2)</td><td>Mandatory</td><td>Country Code</td></tr><tr><td>beneficiary_purpose_code</td><td>Numeric</td><td>Optional</td><td>Purpose Code</td></tr><tr><td>bank_account_number</td><td>Numeric</td><td>Mandatory</td><td>Beneficiary account no</td></tr><tr><td>bank_account_name</td><td>Alphanumeric</td><td>Mandatory</td><td>Name of beneficiary account</td></tr><tr><td>status</td><td>Numeric</td><td>Mandatory</td><td>List registration status:<br>1 = On Process </td></tr><tr><td>message</td><td>Alphanumeric</td><td>Mandatory</td><td>Message description</td></tr><tr><td>response_code</td><td>Alphanumeric (2)</td><td>Mandatory</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc</td><td>Alphanumeric (32)</td><td>Mandatory</td><td>Response desc from bank</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "virtual_account": "9920000082",
    "beneficiary_account": "1020006137993",
    "beneficiary_account_name": " Faspay Collection 1",
    "beneficiary_va_name": " Faspay Collection 1",
    "beneficiary_bank_code": "008",
    "beneficiary_bank_name": "BANK MANDIRI",
    "beneficiary_bank_branch": "Mandiri KCP",
    "beneficiary_region_code" : "0102",
    "beneficiary_country_code" : "ID",
    "beneficiary_purpose_code" : "1"
    "bank_account_number": "1020006137993",
    "bank_account_name": "IN000018000680854",
    "status": "1",
    "message": "OK",
    "response_code": "00",
    "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/register-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
